%global plugin_name workflow-support

Summary:    Common utility implementations to build Pipeline Plugin in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    2.14
Release:    10%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Supporting+APIs+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-support-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-script-security
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins-plugin-workflow-api

%description
Common utility implementations to build Pipeline Plugin in Jenkins.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.14 - 2.14-10
- rebuilt

* Tue Apr 04 2017 Troy Dawson <tdawson@redhat.com> - 2.14-1
- Update to 2.14

* Tue Apr 04 2017 Troy Dawson <tdawson@redhat.com> - 2.14-1
- Update to 2.14

* Mon Mar 13 2017 Troy Dawson <tdawson@redhat.com> - 2.13-1
- Update to 2.13

* Wed Jan 18 2017 Troy Dawson <tdawson@redhat.com> - 2.12-1
- Update to 2.12

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.10-1
- Update to latest version

* Tue Jun 21 2016 Troy Dawson <tdawson@redhat.com> - 2.1-1
- Update to 2.1

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.0-1
- Initial package
